X2Go Bug report logs - #220
Explicitly export PREFIX=/usr when building RPM packages

version graph

Package: x2gobroker-agent; Maintainer for x2gobroker-agent is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2gobroker-agent is src:x2gobroker.

Reported by: Mukesh Singh <mks32@hotmail.com>

Date: Wed, 22 May 2013 16:33:02 UTC

Severity: important

Fixed in version 0.0.2.2

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Full log


Message #24 received at control@bugs.x2go.org (full text, mbox):

Received: (at control) by bugs.x2go.org; 23 May 2013 19:21:44 +0000
From mike.gabriel@das-netzwerkteam.de  Thu May 23 21:21:35 2013
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=URIBL_BLOCKED
	autolearn=unavailable version=3.3.2
Received: from freya.das-netzwerkteam.de (freya.das-netzwerkteam.de [88.198.48.199])
	by ymir (Postfix) with ESMTPS id B05645DB13;
	Thu, 23 May 2013 21:21:35 +0200 (CEST)
Received: from grimnir.das-netzwerkteam.de (grimnir.das-netzwerkteam.de [78.46.204.98])
	by freya.das-netzwerkteam.de (Postfix) with ESMTPS id 37791BF6;
	Thu, 23 May 2013 21:21:35 +0200 (CEST)
Received: from localhost (localhost [127.0.0.1])
	by grimnir.das-netzwerkteam.de (Postfix) with ESMTP id 108F53BB93;
	Thu, 23 May 2013 21:21:35 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at grimnir.das-netzwerkteam.de
Received: from grimnir.das-netzwerkteam.de ([127.0.0.1])
	by localhost (grimnir.das-netzwerkteam.de [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id uVT51sLj7fzV; Thu, 23 May 2013 21:21:34 +0200 (CEST)
Received: from localhost (localhost [127.0.0.1])
	by grimnir.das-netzwerkteam.de (Postfix) with ESMTP id DB1733BB88;
	Thu, 23 May 2013 21:21:34 +0200 (CEST)
Received: from localhost (localhost [127.0.0.1])
	by grimnir.das-netzwerkteam.de (Postfix) with ESMTP id BE0DA3BA89;
	Thu, 23 May 2013 21:21:34 +0200 (CEST)
Received: by grimnir.das-netzwerkteam.de (Postfix, from userid 33)
	id 5AF8A3BB79; Thu, 23 May 2013 21:21:34 +0200 (CEST)
Received: from 46.115.71.253 ([46.115.71.253]) by mail.das-netzwerkteam.de
 (Horde Framework) with HTTP; Thu, 23 May 2013 21:21:34 +0200
Message-ID: <20130523212134.49832ijao4xr205a@mail.das-netzwerkteam.de>
X-Priority: 3 (Normal)
Date: Thu, 23 May 2013 21:21:34 +0200
From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Jan Engelhardt <jengelh@inai.de>, 219@bugs.x2go.org
Cc: Mukesh Singh <mks32@hotmail.com>, control@bugs.x2go.org
Subject: Re: Bug#219: x2gosqlitewrapper is looking for x2gosqlitewrapper.pl
 in /usr/local/lib/x2go directory
References: <COL126-W4088730956DD79984D7AF8BBA90@phx.gbl>
 <20130523002016.122117yaoqojtf34@mail.das-netzwerkteam.de>
 <alpine.LNX.2.10.1305230115400.21142@nerf07.vanv.qr>
In-Reply-To: <alpine.LNX.2.10.1305230115400.21142@nerf07.vanv.qr>
MIME-Version: 1.0
Content-Type: multipart/signed;
 boundary="=_2fys2e4kl45a";
 protocol="application/pgp-signature";
 micalg="pgp-sha1"
Content-Transfer-Encoding: 7bit
User-Agent: Internet Messaging Program (IMP) H3 (4.3.4)
[Message part 1 (text/plain, inline)]
clone #219 -1 -2
reassign #219 x2goserver
severity #219 important
fixed #219 4.0.0.2
close #219
reassign -1 x2gobroker-agent
retitle -1 Explicitly export PREFIX=/usr when building RPM packages
severity -1 important
reassign -2 src:x2gobroker
retitle -2 Make hard-coded path /usr/lib/x2go build-configurable via Makefile
severity -2 wishlist
thanks

Hi Jan,

doint some BTS magic above...

On Do 23 Mai 2013 01:16:48 CEST Jan Engelhardt wrote:

>> @Jan: can you check the RPM packages and make sure that the PREFIX  
>> path reaches
>> the main Makefile of X2Go Server? A similar change to the packaging  
>> has to be
>> introduced to x2gobroker.git.
>
> Fixed for x2goserver.

This issue (#219, x2goserver) then gets marked as resolved.

> In x2gobroker however, there are still lots of hardcoded (in the
> tarball!) /usr/lib/x2go instead of $(LIBDIR)/x2go...

This I consider as a follow-up. New bug numbers will get assigned for  
this in two ways.

Temp bug number -1 (wait for the bug no. after the cloning has  
happened) will be about fixing the RPM build for x2gobroker(-agent).  
Please make sure that agent works in RPM builds of src:x2gobroker.

If you have fixed this issue send a short message to  
<nnn>-done@bugs.x2go.org (where <nnn>) has to be the  
to-be-newly-assigned bug number after the cloning).

Temp bug number -2 refers to getting the Makefile and the hard-coded  
paths referers to /usr/lib/x2go (et al.) fixed in the more less near  
future.

Thanks+Greets,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat May 25 13:52:06 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.